.fw{
  &-300{
    font-weight: 300;
  }
  &-400{
    font-weight: 400;
  }
  &-900{
    font-weight: 900;
  }
}

.font-size{
  &-12{
    font-size: remCalc(12);
  }
  &-14{
    font-size: remCalc(14);
  }
  &-18{
    font-size: remCalc(18);
  }
  &-24{
    font-size: remCalc(24);
  }
  &-30{
    font-size: remCalc(30);
  }
}

.line-height-1-8{
  line-height: 1.8;
}

.label{
  &-1{
    font-size: remCalc(24);
    margin-bottom: 10px;
    font-style: italic;
    color: $green-main;
  }

  &-2{
    font-weight: 900;
    font-size: remCalc(36);
  }
}

.title{
  &-1, &-1-1{
    font-weight: 900;
    font-size: remCalc(24);
    text-transform: uppercase;
    margin-bottom: 30px;
    word-break: break-word;
    hyphens: auto;
  }

  &-1-1{
    font-size: remCalc(18);
  }

  &-2{
    font-size: remCalc(24);
    margin-bottom: 10px;
    word-break: break-word;
    hyphens: auto;
  }

  &-3, &-3-1{
    font-weight: 700;
    text-transform: uppercase;
    color: $green-main;
    font-size: remCalc(18);
    word-break: break-word;
    hyphens: auto;
  }

  &-3-1{
    font-size: remCalc(20);
  }

  &-4{
    font-size: remCalc(18);
    margin-bottom: 10px;
    margin-top: 30px;
    font-weight: 700;
    text-transform: uppercase;
    word-break: break-word;
    hyphens: auto;
  }

  &-5{
    font-size: remCalc(30);
    margin-bottom: 20px;
    font-weight: 900;
    text-transform: uppercase;
  }
}

.text{
  &-green{
    color: $green-text;
  }
  &-green-bright{
    color: $green-bright;
  }
  &-green-dark{
    color: $green-main;
  }
  &-grey{
    color: $text-grey;
  }
  &-white{
    color: $white;
  }
  &-black{
    color: $text-black !important;
  }
}

.text-justify{
  text-align: justify;
}

.text-transform-none{
  text-transform: none;
}

@include media-breakpoint-up(sm){
  .title{
    &-1{
      font-size: remCalc(36);
    }
    &-1-1{
      font-size: remCalc(24);
    }
    &-4{
      font-size: remCalc(24);
    }
  }
}

@include media-breakpoint-up(lg){
  .text-justify-lg{
    text-align: justify;
  }
}

@include media-breakpoint-up(xl){
  .font-size-xl-16{
    font-size: remCalc(16);
  }
  .text-1{
    font-size: remCalc(24);
  }
  .title{
    &-1, &-1-1{
      font-size: remCalc(44);
      word-break: normal;
      hyphens:none;
    }
    &-1-1{
      font-size: remCalc(36);
    }
    &-3-1{
      font-size: remCalc(18);
    }
  }
  .text-justify-xl{
    text-align: justify;
  }
}

@include media-breakpoint-up(xxl){
  .font-size-xxl{
    &-16{
      font-size: remCalc(16);
    }
    &-20{
      font-size: remCalc(20);
    }
    &-24{
      font-size: remCalc(24);
    }
  }
  .title-3-1{
    font-size: remCalc(22);
  }
  .text-justify-xxl{
    text-align: justify;
  }
}